Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 447816

Summary: mail-filter/dcc does not respect CC
Product: Gentoo Linux Reporter: Agostino Sarubbo <ago>
Component: New packagesAssignee: Robin Johnson <robbat2>
Status: RESOLVED FIXED    
Severity: normal CC: mmk, net-mail
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 243502    
Attachments: dcc-1.3.140-r1.patch
dcc-1.3.140-r1.patch

Description Agostino Sarubbo gentoo-dev 2012-12-19 13:45:40 UTC
You receive this bug because this package does not respect my system's CC ( x86_64-pc-linux-gnu-gcc - /usr/bin/x86_64-pc-linux-gnu-gcc ) and calls directly gcc -/usr/bin/gcc
The possible solutions to fix this issue are:
1)Fix the buildsystem, if you can
2)inherit toolchain-funcs and use tc-export CC
3)inherit toolchain-funcs and use emake CC="$(tc-getCC)"


This package does not respect CC at all, as the configure phase says:

                                                                                                                               
checking for cc... cc                                                                                                                                                               
checking whether the C compiler (cc -march=native -O2 -g0 -pipe -Wl,-O1 -Wl,--as-needed -Wl,--hash-style=gnu) works... yes                                                          
checking whether the C compiler (cc -march=native -O2 -g0 -pipe -Wl,-O1 -Wl,--as-needed -Wl,--hash-style=gnu) is a cross-compiler... no
Comment 1 Michael Mair-Keimberger (iamnr3) 2013-06-13 20:33:43 UTC
Created attachment 350914 [details, diff]
dcc-1.3.140-r1.patch

Actually this issue was already fixed in src_compile via emake CC="$(tc-getCC)". Just the configure script didn't saw the correct cc.
However it is easier to export cc/ar/ranlib in src_configure. Now even the configure script gets the correct cc/ar/ranlib and we don't need src_compile at all.
I've created a patch which reflects those changes. Also raised eapi to 5.
BTW, this also fixes bug 447814
Comment 2 Michael Mair-Keimberger (iamnr3) 2013-06-13 20:37:29 UTC
Created attachment 350916 [details, diff]
dcc-1.3.140-r1.patch

Updated the patch (removes another die from emake install)
Comment 3 Robin Johnson archtester Gentoo Infrastructure gentoo-dev Security 2013-12-28 04:47:51 UTC
InCVS